Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Selectset mehre auswählen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Selectset mehre auswählen (155 mal gelesen)
xerxses
Mitglied



Sehen Sie sich das Profil von xerxses an!   Senden Sie eine Private Message an xerxses  Schreiben Sie einen Gästebucheintrag für xerxses

Beiträge: 117
Registriert: 06.09.2011

IV2019
ACDM2019

erstellt am: 06. Jul. 2019 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Gemeinde.

ich versuche mit einem Makro alle Teile in einer Zeichnung und in alle Ansichten die den selben Namen haben auszuwählen. Habe hier und im Autodeskforum einige Beispiele gefunden die dem Ziel näher kommen, aber nicht das was ich brauche.
Es sollen alle Kanten ausgewählt und hervorgehoben werden. (selektieren und highlighten)

For Each oPart In refAssyDef.Occurrences
           
         
                If oTeil.Name Like btnamevor & ":*" Then          `btnamevor = Bauteilname. wird durch eine Pickmethode ermittelt
           
'               
                  Set ViewCurves = iAnsicht.DrawingCurves(oTeil)
'                 
                    For Each oLinie In ViewCurves        ´bis hier läuft alles

                    >>  dieses bekomme ich nicht hin:  olinie Auswählen (hervorheben) und vorherige Auswahl muss bestehen bleiben>>         

                    next
                end if
next

Für eine Lösung oder Anregung wäre ich dankbar

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 217
Registriert: 19.09.2007

Inventor Professional 2016
Win7

erstellt am: 07. Jul. 2019 16:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für xerxses 10 Unities + Antwort hilfreich

nur aus dem Gedächtnis:
ThisApplication.ActiveDocument.SelectSet.Select oLinie

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KatzenHund
Mitglied
CAx Administrator


Sehen Sie sich das Profil von KatzenHund an!   Senden Sie eine Private Message an KatzenHund  Schreiben Sie einen Gästebucheintrag für KatzenHund

Beiträge: 79
Registriert: 24.04.2012

Win 10 64Bit
Product Design & Manufacturing Collection
Vault Professional
DELL Precision T5810

erstellt am: 08. Jul. 2019 08:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für xerxses 10 Unities + Antwort hilfreich

Hallo xerxses,

versuche mal das über ein HighLightSet zu realisieren:

Code:
DIM obj_InvApp as Inventor.Application
SET obj_InvApp = ThisApplication
DIM obj_InvDoc as Inventor.Document
SET obj_InvDoc = obj_InvApp.ActiveDocument
DIM obj_HighLightSet as Inventor.HighlightSet
SET obj_HighLightSet = obj_InvDoc.CreateHighlightSet
DIM obj_InvColl as Inventor.ObjectCollection

...
...
For Each oLinie In ViewCurves
    obj_InvColl.Add(oLinie)                   
next

obj_HighLightSet.Clear
obj_HighLightSet.AddMultipleItems(obj_InvColl)

...
...


Gruß
Stefan

------------------
Wer nicht mitmacht, kann auch nichts verändern

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

metalgod
Mitglied
Technischer Zeichner, Mädchen für alles


Sehen Sie sich das Profil von metalgod an!   Senden Sie eine Private Message an metalgod  Schreiben Sie einen Gästebucheintrag für metalgod

Beiträge: 28
Registriert: 23.09.2015

Win7x64 Prof. SP1
AMD Phenom II x4 965
3,40GHz, 8GB Ram
Inventor Prof. 2016 SP2 64-Bit
Visual Studio 2013 Express

erstellt am: 08. Jul. 2019 10:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für xerxses 10 Unities + Antwort hilfreich

Hallo xerxses,

das sollte funktionieren:

Code:

Private Sub abdcc()
    Dim IDW As DrawingDocument
    Set IDW = ThisApplication.ActiveDocument
    Dim IAM As AssemblyDocument
    Set IAM = IDW.ActiveSheet.DrawingViews(1).ReferencedDocumentDescriptor.ReferencedDocument
    Dim CompOcc As ComponentOccurrence
    Set CompOcc = IAM.ComponentDefinition.Occurrences(10)
       
    Dim Coll As ObjectCollection
    Set Coll = ThisApplication.TransientObjects.CreateObjectCollection
   
    Dim A As DrawingView
    Dim DC As DrawingCurve
    Dim DCS As DrawingCurveSegment
    For Each A In IDW.ActiveSheet.DrawingViews
        For Each DC In A.DrawingCurves(CompOcc)
            For Each DCS In DC.Segments
                Call Coll.Add(DCS)
            Next
        Next
    Next
   
    Call IDW.SelectSet.SelectMultiple(Coll)
End Sub

------------------
alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

xerxses
Mitglied



Sehen Sie sich das Profil von xerxses an!   Senden Sie eine Private Message an xerxses  Schreiben Sie einen Gästebucheintrag für xerxses

Beiträge: 117
Registriert: 06.09.2011

IV2019
ACDM2019

erstellt am: 09. Jul. 2019 22:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke allen für die schnelle Hilfe.
habe mich für die Lösung von Metalgod aka Alex entschieden. weil der Code schneller und übersichtlicher als mein Bisheriger war.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz